Subject: Re: [PATCH net v2] net: stmmac: fix transmit queue timed out after resume

From: Jakub Kicinski <[email-masked]>
Date: Sat, 17 Jan 2026 09:06:34 -0800

On Fri, 16 Jan 2026 20:57:05 +0000 Russell King (Oracle) wrote:
> Thoughts - should the kernel default to having flow control enabled
> or disabled in light of this? Should this feature require explicit
> administrative configuration given the severity of network disruption?

FWIW in DC historically we have seen a few NICs which have tiny buffers
so back-pressuring up to the top of rack switch is helpful. Switches
have more reasonable buffers. That's just NIC Tx pause, switch Rx pause
(from downlink ports, not fabric!). Letting switches generate pause is 
a recipe for.. not having a network. We'd need to figure out why Netgear
does what it does in your case, IMHO.